| DocBook: The Definitive Guide 2.0.17 (Alpha)

# keycap

$Revision$

$Date$

keycap — The text printed on a key on a keyboard

## Synopsis

### Mixed Content Model

    keycap ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     package|command|computeroutput|database|email|envar|errorcode|
     errorname|errortype|errortext|filename|function|guibutton|
     guiicon|guilabel|guimenu|guimenuitem|guisubmenu|hardware|
     interface|keycap|keycode|keycombo|keysym|literal|code|constant|
     markup|medialabel|menuchoice|mousebutton|option|optional|
     parameter|prompt|property|replaceable|returnvalue|sgmltag|
     structfield|structname|symbol|systemitem|uri|token|type|
     userinput|varname|nonterminal|anchor|remark|subscript|
     superscript|inlinegraphic|inlinemediaobject|indexterm|beginpage)*

### Attributes

Common attributes

Name | Type | Default

function

Enumeration:
alt
backspace
command
control
delete
down
end
enter
escape
home
insert
left
meta
option
other
pagedown
pageup
right
shift
space
tab
up

None

moreinfo

Enumeration:
none
refentry

"none"

otherfunction | CDATA | None

## Description

The `KeyCap` identifies the text printed on a physical key on a computer keyboard. This is distinct from any scan code that it may generate (`KeyCode`), or any symbolic name (`KeySym`) that might exist for the key.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Future Changes

In DocBook V4.0, the content model of `KeyCap` will be constrained to `(#PCDATA | Replaceable | InlineGraphic)`.

### Parents

These elements contain keycap: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `code`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `firstterm`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `keycombo`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `shortcut`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `td`, `term`, `termdef`, `tertiary`, `tertiaryie`, `th`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in keycap: `action`, `anchor`, `application`, `beginpage`, `classname`, `code`, `command`, `computeroutput`, `constant`, `database`, `email`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `package`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `type`, `ulink`, `uri`, `userinput`, `varname`.

## Attributes

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `Keycap`.

## See Also

`accel`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `keycode`, `keycombo`, `keysym`, `menuchoice`, `mousebutton`, `shortcut`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    The <keycap>F1</keycap> key on an IBM PC keyboard generates the
    scan code <keycode>0x3B</keycode> when pressed.  This value
    is defined as <keysym>KEY_F1</keysym> in
    <filename class="headerfile">keyboard.h</filename>.
    </para>

The F1 key on an IBM PC keyboard generates the scan code 0x3B when pressed. This value is defined as KEY_F1 in `keyboard.h`.

For additional examples, see also `keycode`, `keycombo`, `keysym`.

jobtitle |  | keycode

Copyright © 1999, 2000, 2001, 2002, 2003 O'Reilly & Associates, Inc. All rights reserved.